<template>
  <Character v-for="item in mapStore.characters" :key="item.character.id" :tilemap="tilemap" :mapCharacter="item" />
</template>

<script setup lang="ts">
import Character from '@/components/game/character/Character.vue'
import { useMapStore } from '@/stores/mapStore'

const mapStore = useMapStore()

const props = defineProps<{
  tilemap: Phaser.Tilemaps.Tilemap
}>()
</script>
